# Installation

## Installing the library in dev mode

```
python -m pip install -e .
```

# Deploy to Python Package Index

```
# Oneoff.
pip install build twine keyrings.google-artifactregistry-auth

gcloud artifacts repositories add-iam-policy-binding python-repository \
    --location europe-west1 \
    --member=allUsers \
    --role=roles/artifactregistry.reader

# Build package.
python -m build

# Upload package.
twine upload --repository-url https://europe-west1-python.pkg.dev/peach-prototypes/python-repository/ dist/*

# Check available packages
gcloud artifacts versions list \
    --repository python-repository \
    --location europe-west1 \
    --package peach-cli
```

# Using pli

## Draw dag with subselect

```
python -m peach.pli draw_dag examples/use_case_2 \
    peach_prototypes/clean/titanic_passangers+ \
    --full
```

## Running example project in containers

```
python -m peach.pli run examples/use_case_2 \
    --mode=DEV
```

## Running a single job in containers

```
python -m peach.pli run_job examples/use_case_2 \
    peach_prototypes/predict/titanic_passangers \
    --mode=DEV
```

## Running a single job locally

```
python -m peach.pli run_job examples/use_case_2 \
    peach_prototypes/predict/titanic_passangers \
    --mode=DEV \
    --containerized=False
```

## Running a single job in the cloud

```
# This step is required to be able to push images.
gcloud auth configure-docker europe-west1-docker.pkg.dev
```

```
python -m peach.pli run_job examples/use_case_2 \
    peach_prototypes/predict/titanic_passangers \
    --mode=DEV \
    --cloud
```
