from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

long_description = (here / "README.md").read_text(encoding="utf-8")

setup(
    name="peach-cli",
    version="0.0.12",
    author="Peach Labs",
    author_email = "info@peachlabs.com",
    description = "Peach is a game engine for your data warehouse",
    long_description = long_description,
    long_description_content_type="text/markdown",
    url = "https://github.com/peach-data/peach-cli",
    classifiers = [
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: Microsoft :: Windows",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    python_requires=">=3.7, <4",
    install_requires=[
        "fire>=0.4.0",
        "networkx>=2.0",
        "pandas>=1.1.5",
        "pyarrow>=6.0.1",
        "google-api-core>=1.31.5",
        "google-cloud-bigquery>=2.32.0",
        "apache-beam[gcp]>=2.37.0",
    ],
    entry_points={
        "console_scripts": [
            "pli=peach.pli:main",
        ],
    },
)
