import enum


class PeachEnum(enum.Enum):
    @staticmethod
    def _generate_next_value_(name, _start, _count, _last_values):
        return name

    @classmethod
    def is_valid(cls, value):
        return value in cls._value2member_map_

    @classmethod
    def values(cls):
        return list(cls._value2member_map_)


class Mode(PeachEnum):
    PROD = enum.auto()
    DEV = enum.auto()


class TableKind(PeachEnum):
    SOURCE = enum.auto()
    SINK = enum.auto()
    JOB = enum.auto()


class UpdateMethod(PeachEnum):
    APPEND = enum.auto()
    REPLACE = enum.auto()
