from dataclasses import dataclass
import datetime
from typing import List

import pyarrow as pa

from peach.constants import Mode, TableKind


TABLES_DIR = "tables"


@dataclass
class Table:
    id: str
    schema: pa.Schema
    kind: TableKind = TableKind.JOB
    inputs: List[str] = None
    refresh_rate: datetime.timedelta = None
    mode: Mode = Mode.PROD
    is_external: bool = False
